KD SOAP API Documentation: KDSoapMessageWriter Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
KDSoapMessageWriter Class Reference

`#include <KDSoapMessageWriter_p.h>`

## Public Member Functions
| KDSoapMessageWriter ()
QByteArray | messageToXml (const KDSoapMessage &message, const QString &method, const KDSoapHeaders &headers, const QMap< QString, KDSoapMessage > &persistentHeaders, const KDSoapAuthentication &authentication=KDSoapAuthentication()) const
void | setMessageNamespace (const QString &ns)
void | setVersion (KDSoap::SoapVersion version)

## Detailed Description

Definition at line 30 of file KDSoapMessageWriter_p.h.

## Constructor & Destructor Documentation

## ◆ KDSoapMessageWriter()

KDSoapMessageWriter::KDSoapMessageWriter | ( |  | ) |

Definition at line 18 of file KDSoapMessageWriter.cpp.

## Member Function Documentation

## ◆ messageToXml()

QByteArray KDSoapMessageWriter::messageToXml | ( | const KDSoapMessage & | message,
|  | const QString & | method,
|  | const KDSoapHeaders & | headers,
|  | const QMap< QString, KDSoapMessage > & | persistentHeaders,
|  | const KDSoapAuthentication & | authentication = `KDSoapAuthentication()`
| ) |  | const

Definition at line 33 of file KDSoapMessageWriter.cpp.

References KDSoapMessageAddressingProperties::addressingNamespace(), QString::fromLatin1(), KDSoapMessage::hasMessageAddressingProperties(), QMap::insert(), QList::isEmpty(), QMap::isEmpty(), QString::isEmpty(), KDSoapMessage::isFault(), KDSoapValue::isNil(), KDSoapMessage::messageAddressingProperties(), KDSoapValue::name(), KDSoapValue::namespaceUri(), KDSoap::SOAP1_1, KDSoap::SOAP1_2, KDSoapNamespaceManager::soapEncoding(), KDSoapNamespaceManager::soapEncoding200305(), KDSoapNamespaceManager::soapEnvelope(), KDSoapNamespaceManager::soapEnvelope200305(), KDSoapMessage::use(), QXmlStreamWriter::writeEndDocument(), QXmlStreamWriter::writeEndElement(), KDSoapNamespacePrefixes::writeNamespace(), KDSoapNamespacePrefixes::writeStandardNamespaces(), QXmlStreamWriter::writeStartDocument(), and QXmlStreamWriter::writeStartElement().

Referenced by KDSoapClientInterfacePrivate::prepareRequestBuffer().

## ◆ setMessageNamespace()

void KDSoapMessageWriter::setMessageNamespace | ( | const QString & | ns | ) |

Definition at line 28 of file KDSoapMessageWriter.cpp.

Referenced by KDSoapClientInterfacePrivate::prepareRequestBuffer().

## ◆ setVersion()

void KDSoapMessageWriter::setVersion | ( | KDSoap::SoapVersion | version | ) |

Definition at line 23 of file KDSoapMessageWriter.cpp.

Referenced by KDSoapClientInterfacePrivate::prepareRequestBuffer(), and KDSoapUdpClient::sendMessage().

The documentation for this class was generated from the following files:

- KDSoapMessageWriter_p.h
- KDSoapMessageWriter.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8